/**
 * @fileoverview Every dangerouslySetInnerHTML must be called its security method
 * @author Kathiresan
 */
'use strict';

var rule = require('../../../lib/rules/no-unsecure-html'),
  RuleTester = require('eslint').RuleTester;

var ruleTester = new RuleTester();
ruleTester.run('no-unsecure-html', rule, {
  valid: [
    {
      code:
        "<div className='innercls' dangerouslySetInnerHTML={{ __html: encodeforHTML('hello world') }}></div>;"
    }
  ],

  invalid: [
    {
      code:
        '<span className={style[isHide === true ? "hide" : "show"]} dangerouslySetInnerHTML={{__html:spanString}}></span>;',
      //'<div dangerouslySetInnerHTML={{ __html: "Hello World" }}></div>;',
      errors: [
        {
          message:
            'Every dangerouslySetInnerHTML must be called its security method',
          type: 'JSXAttribute'
        }
      ]
    }
  ]
});
